View Issue Details

IDProjectCategoryView StatusLast Update
0002007SOGosogo-toolpublic2013-09-30 10:52
ReporterJerome G Assigned Tojraby 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002007: can't add webcalendar
Description

Hello,

I'm trying to add webcalendar with sogo-tool :

1) I get user-preferences : /usr/sbin/sogo-tool user-preferences get settings MYUSER Calendar

2) I modify the Json in order to add /usr/sbin/sogo-tool user-preferences set settings MYUSER Calendar MYJSON

IN myjson I've added :
"WebCalendars":{"21009539:Calendar\/6219-E3CA77F8-E0A1-13AE1E6":"https:\/\/wwww.mysite.com\/XXXX"}

No error is produced
command : /usr/sbin/sogo-tool user-preferences get settings MYUSER Calendar
get the correct new preferences

But on web interface, i can't seen the webcalendar. It seems, there's no entry for it in tables sogo-user_profile.

Can you modify sogo-tool or explain how I can add a webclendar correctly without using SQL requests ?

Additional Information

Sogo is installed on Debian Squeeze 64 bits

TagsNo tags attached.

Activities

Jerome G

Jerome G

2013-01-22 08:20

reporter   ~0005244

HI,

Have you some news about this feature ?

Benjamin Pierrot

Benjamin Pierrot

2013-07-16 09:36

reporter   ~0005748

hi,
Some news?
is it you plan to add this feature?
I'm very interested for this.

ludovic

ludovic

2013-09-30 10:51

administrator   ~0006077

First, you have to add it like that:

webcal.json:

{"Calendar": {"WebCalendars": {"sogo10:Calendar\/630A-5245E700-5-375D6E80": "http:\/\/inverse.ca\/~lmarcotte\/foobar.ics"}}}

% sogo-tool user-preferences set settings sogo10 Calendar -f webcal.json

I've also modified the code so that upon login, if we try to load non-existent Web calendars, we'll create them.

So for this to work, the user will have to logout/login.

The fix is here: https://github.com/inverse-inc/sogo/commit/05990e9a14503cf1ea2dfcdf28616ea63ebc311e

Issue History

Date Modified Username Field Change
2012-10-04 04:14 Jerome G New Issue
2012-11-21 12:44 ludovic Status new => assigned
2012-11-21 12:44 ludovic Assigned To => jraby
2013-01-22 08:20 Jerome G Note Added: 0005244
2013-07-16 09:36 Benjamin Pierrot Note Added: 0005748
2013-09-30 10:51 ludovic Note Added: 0006077
2013-09-30 10:51 ludovic Target Version => 2.1.0
2013-09-30 10:52 ludovic Status assigned => closed
2013-09-30 10:52 ludovic Resolution open => fixed
2013-09-30 10:52 ludovic Fixed in Version => 2.1.0